UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
com.latencybusters.lbm.sdm.LBMSDMRaw Class Reference

LBMSDMRaw is the base class for raw data type classes. Raw data type classes are used to hide the hardware or language idiosyncrasies from the main classes. For example, Java does not natively support unsigned data types. Derived classes of LBMSDMRaw allow these idiosyncrasies to be minimised. More...

Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMRaw:

## Public Member Functions
virtual System.String | toDbgString ()
| Get a debug string for this object. This is not expected to be called and exists for child classes. More...
virtual void | set_debug_level (int level)
| Set the debug level for processing this SDM message. Currently all debugs go to standard out. More...
virtual void | log (System.String s)
| Log an event. If debug level is set greater than 0, output to stderr. More...
System.Object | Clone ()
| Get a copy of this object. More...

## Public Attributes
const int | DEBUG_BASIC = 1
| Debug flag for basic debug output.
const int | DEBUG_VERBOSE_PARSING = 2
| Debug flag for verbose message parsing output.

## Detailed Description

LBMSDMRaw is the base class for raw data type classes. Raw data type classes are used to hide the hardware or language idiosyncrasies from the main classes. For example, Java does not natively support unsigned data types. Derived classes of LBMSDMRaw allow these idiosyncrasies to be minimised.

## Member Function Documentation

System.Object com.latencybusters.lbm.sdm.LBMSDM.Clone | ( |  | ) |
| inherited

Get a copy of this object.

Returns
  A new object with a copy

virtual void com.latencybusters.lbm.sdm.LBMSDM.log | ( | System.String | s | ) |
| virtual inherited

Log an event. If debug level is set greater than 0, output to stderr.

Parameters

  s | String containing the event to log

virtual void com.latencybusters.lbm.sdm.LBMSDM.set_debug_level | ( | int | level | ) |
| virtual inherited

Set the debug level for processing this SDM message. Currently all debugs go to standard out.

Parameters

  level | Debug level to set

virtual System.String com.latencybusters.lbm.sdm.LBMSDMRaw.toDbgString | ( |  | ) |
| virtual

Get a debug string for this object. This is not expected to be called and exists for child classes.

Returns
  returns null - derived classes override with their value

Referenced by com.latencybusters.lbm.sdm.LBMSDMBadRawObjectException.LBMSDMBadRawObjectException().

The documentation for this class was generated from the following file:

- LBMSDMRaw.cs